Subject: Re: [Spridgets] Clutch

From: Ron Soave via Spridgets <[email-masked]>
Date: Thu, 11 Jun 2020 13:18:48 -0500

They’re all coming from the same places. What mfr did you get that failed and what is Bugeye Guy selling? I assume  carbon throw out bearing failed?

Ron Soave

> On Jun 11, 2020, at 1:06 PM, KURT GUERDRUM via Spridgets <[email-masked]> wrote:
> 
> My 60 Bugeye is in need of a clutch kit.  I have used the Moss product with less than good results (Lasted about 6 months).   I see BUgeye Guy sells a kit for about twice the price of Mossand I’d be happy to pay it if its worth it.   I would appreciate any advice and guidance before I waste any more money.
> Thanks guys.
> 
> Kurt Guerdrum
> ’60 Bugeye
> 
> ------------------------
> 
> [email-masked]
> 
> Donate: http://www.team.net/donate.html
> Suggested annual donation: $12.75
> 
> Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive
> 
> Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]

------------------------

[email-masked]

Donate: http://www.team.net/donate.html
Suggested annual donation: $12.75

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]